> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Report



## OpenAPI

````yaml /openapi.json get /v1/exports/reports/{report_id}.{fmt}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/exports/reports/{report_id}.{fmt}:
    get:
      tags:
        - reports
      summary: Download Report
      operationId: download_report_v1_exports_reports__report_id___fmt__get
      parameters:
        - in: path
          name: report_id
          required: true
          schema:
            title: Report Id
            type: string
        - in: path
          name: fmt
          required: true
          schema:
            title: Fmt
            type: string
        - in: query
          name: exp
          required: false
          schema:
            default: ''
            title: Exp
            type: string
        - in: query
          name: sig
          required: false
          schema:
            default: ''
            title: Sig
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````